<?php
/**
 * 操作日志示例
 *
 * @author zhangdongying
 * @date   2023-03-01
 */
declare(strict_types=1);

namespace Meibuyu\Common\GlobalLog\Example;

use Meibuyu\Common\GlobalLog\AppOperateLogService;
use Psr\Container\ContainerInterface;

class AppOperateLogExample
{
    /**
     * 容器实例
     */
    protected $container;

    /**
     * 初始化
     *
     * @param ContainerInterface $container 容器实例
     * @throws \Throwable
     */
    public function  __construct(ContainerInterface $container)
    {
        $this->container = $container;
    }

    /**
     * addUserOperateLog 调用示例
     *
     * @return void
     * @throws \Throwable
     */
    public function addUserOperateLogExample()
    {
        $this->container->get(AppOperateLogService::class)->addUserOperateLog(
            'products',
            '1',
            '产品管理-产品列表-产品编辑',
            ['product_id' => 1, 'name' => 'bbb'],
            ['id' => 1, 'name' => 'aaa'],
            ['id' => 2, 'name' => 'bbb']
        );
    }

    /**
     * addSystemOperateLog 调用示例
     *
     * @return void
     * @throws \Throwable
     */
    public function addSystemOperateLogExample()
    {
        $this->container->get(AppOperateLogService::class)->addSystemOperateLog(
            'AppOperateLogExample@addSystemOperateLogExample',
            'products',
            '1',
            '产品管理-产品列表-产品编辑',
            ['product_id' => 1, 'name' => 'bbb'],
            ['id' => 1, 'name' => 'aaa'],
            ['id' => 2, 'name' => 'bbb']
        );
    }
}